WordPress.org

Forums

Wordfence Security
Akismet and wordfence... (10 posts)

  1. nemesis
    Member
    Posted 2 years ago #

    On the advice of someone, I recently installed Word Fence on several sites (about 3 weeks ago).

    This morning I received notices there was a problem with numerous Akismet files. Following procedure in Word Fence I 'repaired'.

    When I logged back into the site(s) I was told there was an Akismet update. After updating, I ran A Word Fence scan and Word Fence came up with the same Akismet problems as originally indicated!

    As of this time I have only attempted this correction one of the site with Word Fence installed tho several are giving me this error problem.

    Is this a Word Fence problem, or Akismet problem or both?

    Your time is appreciated
    Bob

    https://wordpress.org/plugins/wordfence/

  2. mssbee
    Member
    Posted 2 years ago #

    Same problem here after updating Akismet. The new files are seen as modified from the core files. I also am interested why this is happening.

  3. TomBlaschko
    Member
    Posted 2 years ago #

    Wordfence has a mismatch in their system. They know you need version 2.6.0. After you upgrade, they are comparing your 2.6.0 files to version 2.5.9 and think they have changed. Wordfence needs to update the comparison files.

  4. mssbee
    Member
    Posted 2 years ago #

    Thanks

  5. Malae
    Member
    Posted 2 years ago #

    Smae issue. It seems that Akismet has left the old files where they should not be or Wordfence has not retrieved the latest ones.

  6. nemesis
    Member
    Posted 2 years ago #

    So, which do we ignore - Word Fence warning or Akismet upgrade?

    Bob

  7. Pete Wright
    Member
    Posted 2 years ago #

    Worth watching this thread as WordFence tries to get this resolved:

    http://wordpress.org/support/topic/you-checked-in-code-to-the-258-akismet-tag

  8. Dion Hulse
    Lead Developer
    Posted 2 years ago #

    Worth watching this thread as WordFence tries to get this resolved:
    http://wordpress.org/support/topic/you-checked-in-code-to-the-258-akismet-tag

    Worth noting that this is unrelated, and shouldn't have caused a problem at the time (as it was made before 2.5.8 was released).
    The latest issues are that Wordfence doesn't recognise the new 2.6 version of Akismet (and will require an update from Wordfence to stop the alerts)

  9. Malae
    Member
    Posted 2 years ago #

    Nemisis, If you update Akismet to 2.6.0 and check the details you should find that they are the correct Akismet ver. 2.6.0 files. There is no reason not to update Akismet. The issue is why Wordfence is still using the old vesion for comparison and it is probably because their updating was not fast enough to get the new files, before scanning started.

  10. Pete Wright
    Member
    Posted 2 years ago #

    D'oh - thanks, Dion, that'll teach me for trying to be helpful in a hurry.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Wordfence Security
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic